summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-10-30 20:41:30 +0100
committerHans de Graaff <graaff@gentoo.org>2016-10-30 20:41:30 +0100
commit35e56732cf9c9818dcdfa9c5cffc6031a5b1d01d (patch)
treebe0735c7c00737b6f7d4795c73c73f9fbaa18e98 /dev-ruby/metasploit-model
parentdev-ruby/ruby-oci8: cleanup (diff)
downloadgentoo-35e56732cf9c9818dcdfa9c5cffc6031a5b1d01d.tar.gz
gentoo-35e56732cf9c9818dcdfa9c5cffc6031a5b1d01d.tar.bz2
gentoo-35e56732cf9c9818dcdfa9c5cffc6031a5b1d01d.zip
dev-ruby/metasploit-model: remove masked version
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-ruby/metasploit-model')
-rw-r--r--dev-ruby/metasploit-model/Manifest1
-rw-r--r--dev-ruby/metasploit-model/metasploit-model-1.0.0.ebuild73
2 files changed, 0 insertions, 74 deletions
diff --git a/dev-ruby/metasploit-model/Manifest b/dev-ruby/metasploit-model/Manifest
index d364229f4ad..7cd872aef0a 100644
--- a/dev-ruby/metasploit-model/Manifest
+++ b/dev-ruby/metasploit-model/Manifest
@@ -1,2 +1 @@
-DIST metasploit-model-1.0.0.gem 77312 SHA256 72e523dd4c13c6146a885599eae150b6addcc1b5e19165fd3382c5a783551cfe SHA512 1020b395787c6ad0f5b409c997f672e35e442e2499081dfab812a87c2aa8ff60d2b59ec1420e88b552e28c9ec12b420806475168da757e41e265d0b8df62dc39 WHIRLPOOL 5f211e16e3c383be0db5a66e97c95d7ff67831e1cfe980b325ff01d353094c69c47f245437ad354e4bd2b6293de288e751d39ead8e37f32242dde71a7b2c487e
DIST metasploit-model-2.0.0.gem 81408 SHA256 c40fa0c5160ea99de81c475e5d1b852155f8080f66b47683f2cb4c19faa91788 SHA512 42c73b34104a94b5352e64199d2edf98ccc53c3e169f6799ecb7433588ed918d6483fe24cbfeab32b0a8859bcbfb42504054f013cdff2f03bac489e97edfe8ff WHIRLPOOL b739f5d1e465c06f6d1c4e4ba49ddf9f1e49e229b570f11cbfa0ea587a7a2b863f4e6a9a7c9df26b23e9e04e33ce72e99843b6c77a4b8cad34dd82449f41c8c7
diff --git a/dev-ruby/metasploit-model/metasploit-model-1.0.0.ebuild b/dev-ruby/metasploit-model/metasploit-model-1.0.0.ebuild
deleted file mode 100644
index 71bbca55221..00000000000
--- a/dev-ruby/metasploit-model/metasploit-model-1.0.0.ebuild
+++ /dev/null
@@ -1,73 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-USE_RUBY="ruby20 ruby21"
-
-inherit ruby-fakegem versionator
-
-RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
-
-DESCRIPTION="Common code, such as validators and mixins"
-HOMEPAGE="https://github.com/rapid7/metasploit-model"
-SRC_URI="mirror://rubygems/${P}.gem"
-
-LICENSE="BSD"
-SLOT="$(get_version_component_range 1-2)"
-KEYWORDS="~amd64 ~arm ~x86"
-#IUSE="development test"
-RESTRICT=test
-IUSE=""
-
-RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
-
-ruby_add_rdepend ">=dev-ruby/railties-4.0.9:4.0
- >=dev-ruby/activesupport-4.0.9:4.0
- >=dev-ruby/activemodel-4.0.9:4.0"
-# development? ( dev-ruby/bundler
-# dev-ruby/rake
-# dev-ruby/i18n
-# dev-ruby/multi_json
-# dev-ruby/builder
-# dev-ruby/erubis
-# dev-ruby/journey
-# dev-ruby/rack
-# dev-ruby/rack-cache
-# dev-ruby/rack-test
-# dev-ruby/hike
-# dev-ruby/tilt
-# dev-ruby/sprockets:*
-# dev-ruby/actionpack:4.0
-# dev-ruby/json
-# dev-ruby/rack-ssl:*
-# dev-ruby/rdoc
-# dev-ruby/thor
-# dev-ruby/redcarpet
-# <dev-ruby/yard-0.8.7.4 )"
-
-ruby_add_bdepend "dev-ruby/bundler"
-
-all_ruby_prepare() {
- [ -f Gemfile.lock ] && rm Gemfile.lock
- #For now, we don't support development or testing at all
- #if ! use development; then
- sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
- sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
- sed -i -e "/spec.add_development_dependency/d" "${PN}".gemspec || die
- #fi
- #if ! use test; then
- sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
- #fi
- #if ! use test && ! use development; then
- sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
- #fi
-}
-
-each_ruby_prepare() {
- if [ -f Gemfile ]
- then
- BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
- BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
- fi
-}